package com.ssj.bean.weixin.libmy.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;


@Entity
@Table(name = "tb_lib_book_borrow")
public class TbLibBookBorrow extends BaseEntity{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/**
	 * 图书编号
	 */
	private String isbn13;
	/**
	 * 用户id
	 */
	private String userId;
	/**
	 * 会员卡id
	 */
	private String vipId;
	/**
	 * 创建时间
	 */
	private Date createTime;
	/**
	 * 1借阅，2心愿，3预约,4助力
	 */
	private Integer type;
	/**
	 * 1有效2无效
	 */
	private Integer stat;
	/**
	 * 图书馆ID，心愿助力有用
	 */
	private String libId;
	
	/**
	 * 是否助力完成  type=2的时候用到 type=1 也可以用 1未完成，2已完成
	 */
	private Integer isFinish;
	
	public TbLibBookBorrow(){};
	public TbLibBookBorrow(String isbn13,String userId,String vipId,Integer type,Integer stat,String libId,Integer isFinish){
		this.createTime =new Date();
		this.isbn13=isbn13;
		this.userId=userId;
		this.vipId=vipId;
		this.type=type;
		this.stat=stat;
		this.libId=libId;
		this.isFinish = isFinish;
	};
	public String getIsbn13() {
		return isbn13;
	}
	public void setIsbn13(String isbn13) {
		this.isbn13 = isbn13;
	}
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public String getVipId() {
		return vipId;
	}
	public void setVipId(String vipId) {
		this.vipId = vipId;
	}
	@Column(name = "create_time",updatable =false)
	public Date getCreateTime() {	
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public Integer getType() {
		return type;
	}
	public void setType(Integer type) {
		this.type = type;
	}
	public Integer getStat() {
		return stat;
	}
	public void setStat(Integer stat) {
		this.stat = stat;
	}
	public String getLibId() {
		return libId;
	}
	public void setLibId(String libId) {
		this.libId = libId;
	}
	public Integer getIsFinish() {
		return isFinish;
	}
	public void setIsFinish(Integer isFinish) {
		this.isFinish = isFinish;
	} 
	
	
	
	
}
